# Uses of Class
org.springframework.jmx.export.metadata.ManagedOperation

Packages that use ManagedOperation
Package
Description
org.springframework.jmx.export.annotation
Annotations for MBean exposure.
org.springframework.jmx.export.metadata
Provides generic JMX metadata classes and basic support for reading JMX metadata in a provider-agnostic manner.

## Uses of ManagedOperation in org.springframework.jmx.export.annotation

Methods in org.springframework.jmx.export.annotation that return ManagedOperation
Modifier and Type
Method
Description
`ManagedOperation`
AnnotationJmxAttributeSource.`getManagedOperation(Method method)`

## Uses of ManagedOperation in org.springframework.jmx.export.metadata

Methods in org.springframework.jmx.export.metadata that return ManagedOperation
Modifier and Type
Method
Description
`ManagedOperation`
JmxAttributeSource.`getManagedOperation(Method method)`
Implementations should return an instance of `ManagedOperation` if the supplied `Method` has the corresponding metadata.